package com.avg.zaap.crashlibrary.crashlibmocks;

import com.avg.zaap.crashlibrary.CrashLibTests;
import com.avg.zaap.crashlibrary.core.logger.ILogger;

/**
 * Class used in {@link CrashLibTests}.
 */
public class MockedLogger implements ILogger {

    @Override
    public void v(String tag, String message) {
    }

    @Override
    public void v(String tag, String message, Throwable tr) {
    }

    @Override
    public void d(String tag, String message) {
    }

    @Override
    public void d(String tag, String message, Throwable tr) {
    }

    @Override
    public void i(String tag, String message) {
    }

    @Override
    public void i(String tag, String message, Throwable tr) {
    }

    @Override
    public void w(String tag, String message) {
    }

    @Override
    public void w(String tag, Throwable tr) {
    }

    @Override
    public void w(String tag, String message, Throwable tr) {
    }

    @Override
    public void e(String tag, String message) {
    }

    @Override
    public void e(String tag, String message, Throwable tr) {
    }

    @Override
    public void wtf(String tag, String message) {
    }

    @Override
    public void wtf(String tag, Throwable tr) {
    }

    @Override
    public void wtf(String tag, String message, Throwable tr) {
    }

}
